catman(8)

NAME
catman - erzeugt oder aktualisiert die formatierten Manualseiten

SYNTAX
catman [-dhV] [-M Pfad] [Abschnitt] ...

BESCHREIBUNG
catman wird benutzt, um einen aktuellen Satz von vorformatierten Manualseiten zu erzeugen, die als cat-Seiten bezeichnet werden. Die cat-Seiten werden wesentlich schneller angezeigt als die unformatierten Manualseiten, benötigen aber zusätzlichen Speicherplatz auf der Festplatte. Die Entscheidung zur Unterstützung von cat-Seiten liegt beim lokalen Administrator, der für diese Seiten passende Verzeichnisse anlegen muß. Die Optionen für catman geben die Manualseiten und die Abschnitte an, die vorformatiert werden sollen. Im Normalfall werden die Manualseiten verwendet, die in der Manualkonfigurationsdatei beschrieben sind. Normalerweise werden die Abschnitte formatiert, die entweder in der Umgebungsvariable $MANSEC stehen oder fest in man(1) einkompiliert sind, wenn $MANSEC undefiniert ist. Wird catman eine durch Whitespace abgetrennte Liste von Abschnitten übergeben, so werden nur die Manualseiten in den betreffenden Abschnitten bearbeitet. Um festzustellen, welche Dateien formatiert werden müssen, macht catman Gebrauch von den Indexdatenbanken der jeweiligen Manualseiten.

OPTIONEN

-d, --debug
    Ausgeben von Fehlerinformationen.

-M Pfad, --manpath=Pfad
    Gibt einen alternativen Manualpfad an. Als Default sind dies alle Pfade, die in der Manualkonfigurationsdatei als global deklariert sind. Die Umgebungsvariable $MANPATH wird von catman nicht benutzt.

-h, --help
    Zeigt einen Hilfstext an.

-V, --version
    Zeigt Programmversion und Autor an.

DATEIEN

/var/catman/.../index.(bt|db|dir|pag)
    Die FSSTND complianten globalen Indexdatenbanken.

/usr/man/.../whatis
    Traditionelle whatis Datenbank.

SIEHE AUCH
man(1), manpath(5), mandb(8).

FEHLER
Auf Systemen mit kleinem (~4 kByte) Zwischenspeicher für Argumente von execve(2) kann es nötig sein, daß catman mehrere kleine im Gegensatz zu wenigen großen Batchjobs ausführen muß. In diesem Fall ist es für man möglich, diesen Eintrag (korrekt) aus einer Datenbank zu löschen (vielleicht existiert er in Wirklichkeit gar nicht mehr), der vom aktuellen Aufruf von catman benötigt wird, um die nächste Seite zu bestimmen. Wenn die Indexdatenbank einen Hashtable-Lookup (ndbm, gdbm) benutzt, führt dies zu einem `sich am eigenen Schopf aus dem Sumpf ziehen'. Obgleich dies selten auftritt, führt es dazu, daß catman nicht mehr die weiteren Seiten des Abschnittes bearbeitet. Hinweis: Linux hat einen Zwischenspeicher von 128 kByte für execve (2) Argumente.

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk), die deutsche Übersetzung ist von Anke Steuernagel (a_steuer@informatik.uni-kl.de) und Nils Magnus (magnus@informatik.uni-kl.de).